<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>TransitLineInfo (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TransitLineInfo (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TransitLineInfo.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.Attribute.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/TransitLineInfo.html" target="_top">Frames</a></li>
<li><a href="TransitLineInfo.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Class TransitLineInfo" class="title">Class TransitLineInfo</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.TransitLineInfo</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">TransitLineInfo</span>
extends java.lang.Object</pre>
<div class="block">Represents information about a public transit line.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.Attribute.html" title="enum in com.here.android.mpa.mapping">TransitLineInfo.Attribute</a></span></code>
<div class="block">Represents values describing the attributes of transit line.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.EnumSet&lt;<a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.Attribute.html" title="enum in com.here.android.mpa.mapping">TransitLineInfo.Attribute</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html#getAttributes--">getAttributes</a></span>()</code>
<div class="block">Gets all the <code>Attribute</code>s applicable to the transit line.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html#getColor--">getColor</a></span>()</code>
<div class="block">Gets the current line color for the transit line, an ARGB (Alpha/Red/Green/Blue) value.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html#getId--">getId</a></span>()</code>
<div class="block">Gets the unique <a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common"><code>Identifier</code></a> of the transit
 line.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html#getInformalName--">getInformalName</a></span>()</code>
<div class="block">Gets the informal name for the line associated with the transit line.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html#getOfficialName--">getOfficialName</a></span>()</code>
<div class="block">Gets the official name for the line associated with the transit line.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html#getShortName--">getShortName</a></span>()</code>
<div class="block">Gets the short name for the line associated with the transit line.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html#getSystemId--">getSystemId</a></span>()</code>
<div class="block">Gets transit system <code>Identifier</code> for the transit line.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/TransitType.html" title="enum in com.here.android.mpa.common">TransitType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html#getTransitType--">getTransitType</a></span>()</code>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/common/TransitType.html" title="enum in com.here.android.mpa.common"><code>TransitType</code></a> of the transit line.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a> getId()</pre>
<div class="block">Gets the unique <a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common"><code>Identifier</code></a> of the transit
 line.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>Identifier</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.html" title="class in com.here.android.mpa.mapping"><code>TransitDatabase</code></a></dd>
</dl>
</li>
</ul>
<a name="getSystemId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemId</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a> getSystemId()</pre>
<div class="block">Gets transit system <code>Identifier</code> for the transit line.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the unique object <code>Identifier</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.html" title="class in com.here.android.mpa.mapping"><code>TransitDatabase</code></a></dd>
</dl>
</li>
</ul>
<a name="getTransitType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransitType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/TransitType.html" title="enum in com.here.android.mpa.common">TransitType</a> getTransitType()</pre>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/common/TransitType.html" title="enum in com.here.android.mpa.common"><code>TransitType</code></a> of the transit line.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>TransitType</code></dd>
</dl>
</li>
</ul>
<a name="getOfficialName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOfficialName</h4>
<pre>public java.lang.String getOfficialName()</pre>
<div class="block">Gets the official name for the line associated with the transit line. This text is localized
 according to the device's locale.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The official name</dd>
</dl>
</li>
</ul>
<a name="getInformalName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInformalName</h4>
<pre>public java.lang.String getInformalName()</pre>
<div class="block">Gets the informal name for the line associated with the transit line. This text is localized
 according to the device's locale.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The informal name</dd>
</dl>
</li>
</ul>
<a name="getShortName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShortName</h4>
<pre>public java.lang.String getShortName()</pre>
<div class="block">Gets the short name for the line associated with the transit line. This text is localized
 according to the device's locale.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The short name</dd>
</dl>
</li>
</ul>
<a name="getColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColor</h4>
<pre>public int getColor()</pre>
<div class="block">Gets the current line color for the transit line, an ARGB (Alpha/Red/Green/Blue) value.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current ARGB integer color value. The packed integer is made up of 4 bytes:
         alpha, red, green, blue. Each color component has a value range from [0..255] with 0
         meaning no contribution for that component, and 255 meaning 100% contribution</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/graphics/Color.html" target="_blank">android.graphics.Color</a></dd>
</dl>
</li>
</ul>
<a name="getAttributes--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAttributes</h4>
<pre>public final java.util.EnumSet&lt;<a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.Attribute.html" title="enum in com.here.android.mpa.mapping">TransitLineInfo.Attribute</a>&gt; getAttributes()</pre>
<div class="block">Gets all the <code>Attribute</code>s applicable to the transit line.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <code>EnumSet</code> containing all the applicable <code>Attribute</code>s.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TransitLineInfo.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.Attribute.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/TransitLineInfo.html" target="_top">Frames</a></li>
<li><a href="TransitLineInfo.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
